Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.management
Class IoSessionStat

    java.lang.Object
      org.apache.mina.management.IoSessionStat

    public class IoSessionStat

extends Object

The collected stats for a session. It's used by `StatCollector` to attach throughput stats to an `IoSession`. You can accces a session stat using `IoSession` getAttribute method :

     IoSession session = ...
     IoSessionStat stat = session.getAttribute( StatCollector.KEY );

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`IoSessionStat()`

Method Summary
`float` | `getByteReadThroughput()` Bytes read per second
`float` | `getByteWrittenThroughput()` Bytes written per second
`float` | `getMessageReadThroughput()` Messages read per second
`float` | `getMessageWrittenThroughput()` Messages written per second

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IoSessionStat

    public IoSessionStat()

Method Detail

### getByteReadThroughput

    public float getByteReadThroughput()

  Bytes read per second

  Returns:
    bytes per second

### getByteWrittenThroughput

    public float getByteWrittenThroughput()

  Bytes written per second

  Returns:
    bytes per second

### getMessageReadThroughput

    public float getMessageReadThroughput()

  Messages read per second

  Returns:
    messages per second

### getMessageWrittenThroughput

    public float getMessageWrittenThroughput()

  Messages written per second

  Returns:
    messages per second

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.